Subject: Re: Ping does not work on my MPC8544 board, using linux2.6.23

From: Scott Wood <[email-masked]>
Date: Wed, 09 Dec 2009 13:59:31 -0600

林志平 wrote:
>      > Another question is that I found linux2.6.31 does not support
>      > board mpc8544ds,
> 
>     It should.  What problems do you see?
> 
> => bootm 0x1000000 0x1800000 0x800000
> ## Booting kernel from Legacy Image at 01000000 ...
>    Image Name:   Linux-2.6.31
>    Image Type:   PowerPC Linux Kernel Image (gzip compressed)
>    Data Size:    2185099 Bytes =  2.1 MB
>    Load Address: 00000000
>    Entry Point:  00000000
>    Verifying Checksum ... OK
> ## Loading init Ramdisk from Legacy Image at 01800000 ...
>    Image Name:   Simple Embedded Linux Framework
>    Image Type:   PowerPC Linux RAMDisk Image (gzip compressed)
>    Data Size:    1859256 Bytes =  1.8 MB
>    Load Address: 00000000
>    Entry Point:  00000000
>    Verifying Checksum ... OK
> ## Flattened Device Tree blob at 00800000
>    Booting using the fdt blob at 0x800000
>    Uncompressing Kernel Image ... OK
>    Loading Ramdisk to 1fca7000, end 1fe6ceb8 ... OK
> booting kernel using flat tree
> It then stops and never print any more,  I use mpc85xx_defconfig, I 
> select mpc85xxds in the menuconfig and deselect other options like 
> mpc8540ads etc.

Are you using the mpc8544ds device tree from 2.6.31, unchanged?  Try 
turning on CONFIG_PPC_EARLY_DEBUG.

No need to deselect the others, BTW.

>     Does mpc85xx_defconfig not work?
> 
> Yes mcp85xx_defconfig does not work, I can see mpc8540ads in the 
> menuconfig, but no mpc8544ds.

mpc8544ds is supported by CONFIG_MPC85xx_DS.

-Scott